Splash စာမျက်နှာများ
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| အချက်အလက်များ | အသေးစိတ်များ | ဖော်ပြချက် |
|---|---|---|
| search | ရွေးချယ်နိုင်သည် စကားလုံး | ရှာဖွေရန် စာသား။ |
| search_by | ရွေးချယ်နိုင်သည် စကားလုံး | သင်ရှာဖွေနေသောနယ်ပယ်ကဘာလဲ။ ခွင့်ပြုထားသောတန်ဖိုးများမှာ: name။ |
| datetime_field | ရွေးချယ်နိုင်သည် စကားလုံး | ခွင့်ပြုထားသောတန်ဖိုးများ: datetime, last_datetime |
| datetime_start | ရွေးချယ်နိုင်သည် စကားလုံး | ဤရက်စွဲနှင့် အချိန်မှစ၍ ရလဒ်များကို filter လုပ်ပါ။ Format Y-m-d H:i:s။ |
| datetime_end | ရွေးချယ်နိုင်သည် စကားလုံး | ဤရက်စွဲနှင့် အချိန်အထိ ရလဒ်များကို filter လုပ်ပါ။ Format Y-m-d H:i:s။ |
| order_by | ရွေးချယ်နိုင်သည် စကားလုံး | ရလဒ်များကို ဘယ်နယ်ပယ်အရ အစီအစဉ်ချမလဲ။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ: splash_page_id, datetime, last_datetime, name။ |
| order_type | ရွေးချယ်နိုင်သည် စကားလုံး | ရလဒ်များ၏ အစီအစဉ်။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ ASC သည် အမြင့်ဆုံးမှ အနိမ့်ဆုံး အစီအစဉ်အတွက် ဖြစ်ပြီး DESC သည် အနိမ့်ဆုံးမှ အမြင့်ဆုံး အစီအစဉ်အတွက် ဖြစ်သည်။ |
| page | ရွေးချယ်နိုင်သည် အင်တာဂျာ | သင်လိုအပ်သောရလဒ်များကိုရယူလိုသောစာမျက်နှာနံပါတ်။ အခြေခံအားဖြင့် 1 ဖြစ်သည်။ |
| results_per_page | ရွေးချယ်နိုင်သည် အင်တာဂျာ | သင်သည် စာမျက်နှာတစ်ခုလျှင် ရလဒ်များ များစွာကို မည်မျှလိုချင်ပါသလဲ။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ: 10, 25, 50, 100, 250, 500, 1000။ အခြေခံအားဖြင့် 25 ဖြစ်သည်။ |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 11:38:15",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 11:38:15",
}
}
POST https://tistos.com/api/projects
| အချက်အလက်များ | အသေးစိတ်များ | ဖော်ပြချက် |
|---|---|---|
| name | လိုအပ်သည် စကားလုံး | - |
| title | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| logo | ရွေးချယ်နိုင်သည် ဖိုင် | - |
| favicon | ရွေးချယ်နိုင်သည် ဖိုင် | - |
| opengraph | ရွေးချယ်နိုင်သည် ဖိုင် | - |
| description | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| secondary_button_name | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| secondary_button_url | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| custom_css | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| custom_js | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| ads_header | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| ads_footer | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| link_unlock_seconds | ရွေးချယ်နိုင်သည် အင်တာဂျာ | - |
| auto_redirect | ရွေးချယ်နိုင်သည် ဘူလီယန် | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| အချက်အလက်များ | အသေးစိတ်များ | ဖော်ပြချက် |
|---|---|---|
| name | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| title | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| logo | ရွေးချယ်နိုင်သည် ဖိုင် | - |
| favicon | ရွေးချယ်နိုင်သည် ဖိုင် | - |
| opengraph | ရွေးချယ်နိုင်သည် ဖိုင် | - |
| description | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| secondary_button_name | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| secondary_button_url | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| custom_css | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| custom_js | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| ads_header | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| ads_footer | ရွေးချယ်နိုင်သည် စကားလုံး | - |
| link_unlock_seconds | ရွေးချယ်နိုင်သည် အင်တာဂျာ | - |
| auto_redirect | ရွေးချယ်နိုင်သည် ဘူလီယန် | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \